Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.defobj
Interface ArchiverC

All Known Subinterfaces:
  HDF5ArchiverC, LispArchiverC

All Known Implementing Classes:
  LispArchiverCImpl, HDF5ArchiverCImpl

public interface ArchiverC
extends CreateC, CreateS, DropC, DropS

High level abstract serialization interface.. High level abstract serialization interface.

Method Summary
`java.lang.Object` | `setDefaultAppPath()` Specify that the Archiver to use the default application path
`java.lang.Object` | `setDefaultPath()` Specify that the Archiver instance use the default system path
`java.lang.Object` | `setInhibitLoadFlag(boolean inhibitLoadFlag)` Make the Archiver ignore any file found in the specified path
`java.lang.Object` | `setPath(java.lang.String path)` Set the physical path for the Archiver to read/write
`java.lang.Object` | `setSystemArchiverFlag(boolean systemArchiverFlag)` Make the Archiver expect application metadata, such as `mode' information

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setInhibitLoadFlag

    public java.lang.Object setInhibitLoadFlag(boolean inhibitLoadFlag)

  Make the Archiver ignore any file found in the specified path

### setPath

    public java.lang.Object setPath(java.lang.String path)

  Set the physical path for the Archiver to read/write

### setSystemArchiverFlag

    public java.lang.Object setSystemArchiverFlag(boolean systemArchiverFlag)

  Make the Archiver expect application metadata, such as `mode' information

### setDefaultPath

    public java.lang.Object setDefaultPath()

  Specify that the Archiver instance use the default system path

### setDefaultAppPath

    public java.lang.Object setDefaultAppPath()

  Specify that the Archiver to use the default application path

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD